Bug 1192023 - Package git-daemon lacks dependency on package "system-user-nobody"
Package git-daemon lacks dependency on package "system-user-nobody"
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Development
Leap 15.3
x86-64 openSUSE Leap 15.3
: P5 - None : Normal (vote)
: ---
Assigned To: Danilo Spinella
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-26 10:22 UTC by Pieter Hollants
Modified: 2022-04-15 14:40 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Screenshot of error (24.49 KB, image/png)
2021-10-26 10:22 UTC, Pieter Hollants
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pieter Hollants 2021-10-26 10:22:06 UTC
Created attachment 853357 [details]
Screenshot of error

Installation of the "git-daemon" package fails, because 
1. in %post the package tries to add the "git-daemon" user to "nogroup" but
2. "nogroup" is not part of a stock (minimal) 15.3 install anymore.
(see also Screenshot)
Comment 1 Pieter Hollants 2021-10-26 10:27:48 UTC
The RPM misses the dependency on the package "system-user-nobody".
Comment 2 Danilo Spinella 2021-10-28 14:52:33 UTC
Just yesterday the fix to this issue has been sent to Factory:

https://build.opensuse.org/package/rdiff/devel:tools:scm/git?linkrev=base&rev=554

I am backporting the changes to Leap.
Comment 4 Danilo Spinella 2021-11-03 17:49:16 UTC
The fix has accepted, closing as fixed.
Comment 5 Swamp Workflow Management 2021-11-23 11:18:11 UTC
SUSE-RU-2021:3766-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1192023
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    git-2.31.1-10.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    git-2.31.1-10.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2021-11-23 11:19:29 UTC
openSUSE-RU-2021:3766-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1192023
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    git-2.31.1-10.6.1
Comment 7 OBSbugzilla Bot 2022-04-15 14:40:03 UTC
This is an autogenerated message for OBS integration:
This bug (1192023) was mentioned in
https://build.opensuse.org/request/show/970347 Factory / git